Bug 1450260 - Complete dark transition between day and dusk
Summary: Complete dark transition between day and dusk
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 26
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1467108
TreeView+ depends on / blocked
 
Reported: 2017-05-12 03:01 UTC by Luya Tshimbalanga
Modified: 2017-07-02 23:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 19:02:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 782928 None None None 2017-05-22 16:30:08 UTC

Description Luya Tshimbalanga 2017-05-12 03:01:41 UTC
Description of problem:
The transition from day to dusk in the animated wallpaper is completely darkened.

Version-Release number of selected component (if applicable):
26.2.1

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:
Tranition is completely darkened

Expected results:
Tranisiton should be subtle smooth

Additional info:
Dusk part of animated wallpaper will need adjustment.

Comment 1 Luya Tshimbalanga 2017-05-12 03:04:37 UTC
Example of transition:
https://framapic.org/REub4EjX93ep/WeW8vo8DRVEA.png

Comment 2 Gwendal 2017-05-12 14:21:52 UTC
With the animated wallpaper, I also encountered the case where before 9:00 I had the normal bright version of the wallpaper, and then it became 100% purely black at 9:00 sharp (ie. as if there was no wallpaper anymore).

Comment 3 Luya Tshimbalanga 2017-05-12 19:15:33 UTC
(In reply to Gwendal from comment #2)
> With the animated wallpaper, I also encountered the case where before 9:00 I
> had the normal bright version of the wallpaper, and then it became 100%
> purely black at 9:00 sharp (ie. as if there was no wallpaper anymore).

Strange. That is not a normal behaviour from the transition unless it is somewhat broken. I will take a look.

Comment 4 Fedora Update System 2017-05-18 22:16:34 UTC
f26-backgrounds-26.2.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f9e2042dc

Comment 5 Fedora Update System 2017-05-19 21:10:39 UTC
f26-backgrounds-26.2.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f9e2042dc

Comment 6 Luya Tshimbalanga 2017-05-20 20:31:26 UTC
(In reply to Gwendal from comment #2)
> With the animated wallpaper, I also encountered the case where before 9:00 I
> had the normal bright version of the wallpaper, and then it became 100%
> purely black at 9:00 sharp (ie. as if there was no wallpaper anymore).

I verify the code which looks all fine. It appears a bug from the xml parser failing to retaining the initial image from transitioning

https://paste.fedoraproject.org/paste/TGPS18F92cEflRpF2elnTV5M1UNdIGYhyRLivL9gydE=

Comment 7 Luya Tshimbalanga 2017-05-22 16:30:08 UTC
(In reply to Gwendal from comment #2)
> With the animated wallpaper, I also encountered the case where before 9:00 I
> had the normal bright version of the wallpaper, and then it became 100%
> purely black at 9:00 sharp (ie. as if there was no wallpaper anymore).

After debugging the issue with Gnome team, it turned out a bug with Mutter having an unexpected behaviour leading to a blank while in the transition. Assigning the issue to the right component and attach the upstream report.

Comment 8 Fedora Update System 2017-06-09 19:02:51 UTC
f26-backgrounds-26.2.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 James Ye 2017-07-02 00:41:33 UTC
As noted by someone else on bodhi[0], this bug still exists in f26-backgrounds-26.2.2-1.

I have discovered that if all wallpapers are converted from PNG to JPEG format, the transitions work as expected. Indeed, the default GNOME animated background and previous Fedora animated backgrounds all used JPEG images, so this is likely to be an issue with GNOME's handling of transitions with PNG images.


[0]: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f9e2042dc

Comment 10 Luya Tshimbalanga 2017-07-02 18:21:04 UTC
(In reply to James Ye from comment #9)
> As noted by someone else on bodhi[0], this bug still exists in
> f26-backgrounds-26.2.2-1.
> 
> I have discovered that if all wallpapers are converted from PNG to JPEG
> format, the transitions work as expected. Indeed, the default GNOME animated
> background and previous Fedora animated backgrounds all used JPEG images, so
> this is likely to be an issue with GNOME's handling of transitions with PNG
> images.
> 
> 
> [0]: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f9e2042dc

Thanks for finding out the issue. The package is now built to address the problem.

Comment 11 Fedora Update System 2017-07-02 18:22:54 UTC
f26-backgrounds-26.2.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9ab2094727


Note You need to log in before you can comment on or make changes to this bug.